# Record Class CSVultrPageMetadata

java.lang.Object
java.lang.Record
com.io7m.certusine.vultr.internal.CSVultrPageMetadata

Record Components:
  `total` - The total number of items
  `links` - The page links

public record CSVultrPageMetadata(int total, CSVultrPageLinks links) extends Record
The Vultr page metadata.

See Also:
  - "https://www.vultr.com/api/#section/Introduction/Meta-and-Pagination"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSVultrPageMetadata(int total, CSVultrPageLinks links)`
  The Vultr page metadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CSVultrPageLinks`
  `links()`
  Returns the value of the `links` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `total()`
  Returns the value of the `total` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSVultrPageMetadata

    public CSVultrPageMetadata(int total, CSVultrPageLinks links)
    The Vultr page metadata.
    Parameters:
      `total` - The total number of items
      `links` - The page links
    See Also:
      - "https://www.vultr.com/api/#section/Introduction/Meta-and-Pagination"

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### total

    public int total()
    Returns the value of the `total` record component.
    Returns:
      the value of the `total` record component

  - ### links

    public CSVultrPageLinks links()
    Returns the value of the `links` record component.
    Returns:
      the value of the `links` record component